% bracket(thr,N) returns the vector output that gives the number of the
% bracket defined by elements of thr in which elements of N lie. That is,
% if thr(i)<=N(k)<thr(i+1), output(k)=i. bracket(thr,N) also returns the
% vector rk given by rk = ranks(thr,N).

function [output,rk] = bracket(thr,N)

T = length(thr);
Xn = length(N);

output = zeros(size(N));

rk = ranks(thr,N);
rk1 = [rk;max(Xn,rk(end))];

for i=1:T
    if (~isinf(rk1(i)))&&(~isinf(rk1(i+1)))
        output(rk1(i):(rk1(i+1)),1) = i;
    elseif ~isinf(rk1(i))&&isinf(rk1(i+1))
        output(rk(i):Xn,1)=i;
    end
end